Bug 14668 - Show serial enumeration in the patron's opac checkout summary
Summary: Show serial enumeration in the patron's opac checkout summary
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Charles Farmer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-10 14:09 UTC by Francois Charbonnier
Modified: 2017-12-07 22:16 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14668 - Show serial enumeration in the checkin page and the patron's opac checkout summary (14.35 KB, patch)
2015-12-01 21:27 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 14668 - Show serial enumeration in the checkin page and the patron's opac checkout summary (10.66 KB, patch)
2016-03-30 16:12 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 14668 - Show serial enumeration in the checkin page and the patron's opac checkout summary (12.67 KB, patch)
2016-03-30 18:18 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 14668 - Show serial enumeration in the checkin page and the patron's opac checkout summary (12.76 KB, patch)
2016-03-31 02:10 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 14668 - Show serial enumeration in INTRANET circulation.tt and OPAC patron's relatives' checkouts (4.53 KB, patch)
2016-07-15 20:52 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 14668: (follow-up) JSON fails if single quotes are used (1.39 KB, patch)
2016-09-22 17:26 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14668: Show serial enumeration in INTRANET circulation.tt and OPAC patron's relatives' checkouts (4.60 KB, patch)
2016-09-22 17:34 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14668: (follow-up) JSON fails if single quotes are used (1.46 KB, patch)
2016-09-22 17:34 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14668: (follow-up) JSON fails if single quotes are used (1.48 KB, patch)
2016-09-22 17:43 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
k (1.53 KB, patch)
2016-09-25 17:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14668: Show serial enumeration in INTRANET circulation.tt and OPAC patron's relatives' checkouts (4.65 KB, patch)
2016-09-25 17:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14668: (follow-up) JSON fails if single quotes are used (1.53 KB, patch)
2016-09-25 17:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Francois Charbonnier 2015-08-10 14:09:38 UTC
Serial enumeration can be useful when checking in several serials in a row to control what was checked in.

It's also an information useful to the patrons when they checked out different volumes from the same serial. The enumeration helps to keep track which one is due in their account's checkout summary.

This patch will display items.enumchron in :
* the checkin page 
* the patron's opac checkout summary
Comment 1 Charles Farmer 2015-12-01 21:27:42 UTC Comment hidden (obsolete)
Comment 2 Joy Nelson 2016-01-13 22:35:04 UTC
Did not apply for me.

(In reply to Charles Farmer from comment #1)
> Created attachment 45294 [details] [review] [review]
> Bug 14668 - Show serial enumeration in the checkin page and the patron's
> opac checkout summary
> 
> The enumchron is now displayed alongside the author name in the "Title"
> section of the item summary.
> 
> TEST PLAN
> =========
> 
>     1) INTRANET
> 
>         1) Edit an item and add something in the "h" subfield, ie: "volume
> #42"
>         2) Check out the item to a patron
>         3) In the patron page, both at the bottom of the page or in the
> "Check out" tab, you should see the enumchron concatenated with the title
> 
>     2) OPAC
> 
>         1) Search for the same patron you used earlier
>         2) In the "your summary" tab, you should see the enumchron in the
> Title
> 
>     3) INTRANET
> 
>         1) Check in the item you just borrowed
>         2) At check in, the enumchron should also appear in the Title.
Comment 3 Aleisha Amohia 2016-01-15 03:54:12 UTC
Applying: Bug 14668 - Show serial enumeration in the checkin page and the patron's opac checkout summary
/home/vagrant/kohaclone/.git/rebase-apply/patch:139: trailing whitespace.
                                <a href="/cgi-bin/koha/reserve/request.pl?biblionumber=[% WaitingReserveLoo.biblionumber %]">[% WaitingReserveLoo.title | html %]</a> 
warning: 1 line adds whitespace errors.
Using index info to reconstruct a base tree...
<stdin>:139: trailing whitespace.
                                <a href="/cgi-bin/koha/reserve/request.pl?biblionumber=[% WaitingReserveLoo.biblionumber %]">[% WaitingReserveLoo.title | html %]</a> 
warning: 1 line applied after fixing whitespace errors.
Falling back to patching base and 3-way merge...
Auto-merging svc/checkouts
CONFLICT (content): Merge conflict in svc/checkouts
Auto-merging opac/opac-user.pl
CONFLICT (content): Merge conflict in opac/opac-user.pl
Auto-merging koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-user.tt
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-user.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/circ/returns.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/js/checkouts.js
Auto-merging circ/returns.pl
CONFLICT (content): Merge conflict in circ/returns.pl
Auto-merging circ/circulation.pl
CONFLICT (content): Merge conflict in circ/circulation.pl
Auto-merging C4/Reserves.pm
Comment 4 Charles Farmer 2016-03-30 16:12:02 UTC Comment hidden (obsolete)
Comment 5 Charles Farmer 2016-03-30 18:18:13 UTC Comment hidden (obsolete)
Comment 6 Liz Rea 2016-03-31 02:10:33 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2016-04-03 13:50:47 UTC
The patch attached includes a lot of changes to the code for showing waiting holds - I think this might be a mistake as nothing of it is mentioned in the test plan. Please check.
Comment 8 Jonathan Druart 2016-07-04 09:26:15 UTC
Serial enum is displayed on the return screen by bug 15172.
Comment 9 Charles Farmer 2016-07-14 21:01:40 UTC
There's a lot that's already been done from what I see; bugs #13430 and #13611 have already taken care of /svc, returns.pl and opac-user.pl. Everything that François wrote in his first post was corrected by somebody else.

Something can still be done inside the RELATIVES loop of opac-user.pl, and the 'Check Out' section of circulation.pl. I'll submit a patch prompty to fix those.
Comment 10 Charles Farmer 2016-07-15 20:52:35 UTC
Created attachment 53448 [details] [review]
Bug 14668 - Show serial enumeration in INTRANET circulation.tt and OPAC patron's relatives' checkouts

TEST PLAN

1. THE CHECKOUT TAB, INTRANET
    1.1. Add a value to the 'h' subfield of an item. ie: 'volume #42'
    1.2. Check out the item to a patron
    1.3. Display this patron's issues in his checkout page
        1.3.1. The enumchron should be concatenated with the title

2. A PATRON'S RELATIVE, INTRANET + OPAC
    1.1. Add somebody to a patron's guarantee list
    1.2. Checkout a serial to this guarantee
    1.3. Visit the guarantor's OPAC and INTRANET checkout page
        1.3.1. You should see the enumchron in his guarantee's issues
Comment 11 Aliki Pavlidou 2016-08-17 17:19:25 UTC
Hello everybody!


1. THE CHECKOUT TAB, INTRANET

First things first there was no "h" subfield at the editing page of an item.

The "h" subfield for items.enumchron is in "MARC21 Holding field (952)".
The matching "v" subfield is in UNIMARC Holding field (995), which was showing at the editing page.
So I tested it by adding the values "volume 42" in the following subfield "v - Note sur le N° de périodique". 
In this perspective everything worked just fine and the enumchron was concatenated with the title, and the barcode.


2. A PATRON'S RELATIVE, INTRANET + OPAC
   
The enumchron was in the "Relatives' checkouts" tab, of the guarantor's checkout page.


P.S.: Please let me know if there is something I should do to check it with the "h" subfield.

Best regards
Aliki
Comment 12 Héctor Eduardo Castro Avalos 2016-09-22 17:26:12 UTC
Created attachment 55756 [details] [review]
Bug 14668: (follow-up) JSON fails if single quotes are used

Change single quotes to double quotes also add brackets to serial
enumeration.

To test follow previous test plan for intranet.
Comment 13 Héctor Eduardo Castro Avalos 2016-09-22 17:34:05 UTC
Created attachment 55757 [details] [review]
[SIGNED-OFF]Bug 14668: Show serial enumeration in INTRANET circulation.tt and OPAC patron's relatives' checkouts

TEST PLAN

1. THE CHECKOUT TAB, INTRANET
    1.1. Add a value to the 'h' subfield of an item. ie: 'volume #42'
    1.2. Check out the item to a patron
    1.3. Display this patron's issues in his checkout page
        1.3.1. The enumchron should be concatenated with the title

2. A PATRON'S RELATIVE, INTRANET + OPAC
    1.1. Add somebody to a patron's guarantee list
    1.2. Checkout a serial to this guarantee
    1.3. Visit the guarantor's OPAC and INTRANET checkout page
        1.3.1. You should see the enumchron in his guarantee's issues

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Comment 14 Héctor Eduardo Castro Avalos 2016-09-22 17:34:13 UTC
Created attachment 55758 [details] [review]
[SIGNED-OFF]Bug 14668: (follow-up) JSON fails if single quotes are used

Change single quotes to double quotes also add brackets to serial
enumeration.

To test follow previous test plan for intranet.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Comment 15 Héctor Eduardo Castro Avalos 2016-09-22 17:43:19 UTC
Created attachment 55759 [details] [review]
[SIGNED-OFF]Bug 14668: (follow-up) JSON fails if single quotes are used

Change single quotes to double quotes also add brackets to serial
enumeration.

To test follow previous test plan for intranet.
Fix double semicolon

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Comment 16 Katrin Fischer 2016-09-25 17:09:50 UTC
Created attachment 55806 [details] [review]
k
Comment 17 Katrin Fischer 2016-09-25 17:10:39 UTC
Created attachment 55807 [details] [review]
[PASSED QA] Bug 14668: Show serial enumeration in INTRANET circulation.tt and OPAC patron's relatives' checkouts

TEST PLAN

1. THE CHECKOUT TAB, INTRANET
    1.1. Add a value to the 'h' subfield of an item. ie: 'volume #42'
    1.2. Check out the item to a patron
    1.3. Display this patron's issues in his checkout page
        1.3.1. The enumchron should be concatenated with the title

2. A PATRON'S RELATIVE, INTRANET + OPAC
    1.1. Add somebody to a patron's guarantee list
    1.2. Checkout a serial to this guarantee
    1.3. Visit the guarantor's OPAC and INTRANET checkout page
        1.3.1. You should see the enumchron in his guarantee's issues

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 18 Katrin Fischer 2016-09-25 17:11:14 UTC
Created attachment 55808 [details] [review]
[PASSED QA] Bug 14668: (follow-up) JSON fails if single quotes are used

Change single quotes to double quotes also add brackets to serial
enumeration.

To test follow previous test plan for intranet.
Fix double semicolon

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 19 Kyle M Hall 2016-09-27 13:04:23 UTC
Pushed to master for 16.11, thanks Charles, Hector!